#!/bin/bash
# This script installs the RTL-SDR drivers and creates a new blacklist file
# to stop the default RTL drivers from loading.
#


echo "Start by installing the prerequisites ....."

cd /home/pi

sudo apt-get install -y cmake pkg-config libusb-1.0

echo "downloading rtl-sdr code from osmocom ....."

git clone git://git.osmocom.org/rtl-sdr.git

echo "Installing rtl-sdr ....."

cd /home/pi/rtl-sdr
mkdir build
cd build
cmake ../ -DINSTALL_UDEV_RULES=ON
make
sudo make install
sudo ldconfig

echo "Adding blacklist entries ....."

sudo cat <<EOT >> /etc/modprobe.d/blacklist-rtlsdr.conf
blacklist dvb_usb_rtl28xxu
blacklist rtl2832
blacklist rtl2830
EOT

echo "Installation complete - please reboot the Pi 


Press return to exit ...
"
read dummy

